curl --request GET \
--url https://api.sandbox.tesouro.com/finops/v1/payable-credit-notes/{credit_note_id}/line-items/{line_item_id} \
--header 'Authorization: Bearer <token>' \
--header 'x-finops-version: <x-finops-version>' \
--header 'x-organization-id: <x-organization-id>'{
"id": "123e4567-e89b-12d3-a456-426614174000",
"created_at": "2024-01-15T14:30:00Z",
"updated_at": "2024-01-15T14:30:00Z",
"credit_note_id": "123e4567-e89b-12d3-a456-426614174000",
"created_by_user_id": "123e4567-e89b-12d3-a456-426614174000",
"description": "Premium version of Product XYZ with extended warranty",
"name": "Product XYZ",
"quantity": 2,
"subtotal": 10000,
"tax": 20,
"tax_amount": 2000,
"total": 12000,
"unit": "pieces",
"unit_price": 5000
}curl --request GET \
--url https://api.sandbox.tesouro.com/finops/v1/payable-credit-notes/{credit_note_id}/line-items/{line_item_id} \
--header 'Authorization: Bearer <token>' \
--header 'x-finops-version: <x-finops-version>' \
--header 'x-organization-id: <x-organization-id>'{
"id": "123e4567-e89b-12d3-a456-426614174000",
"created_at": "2024-01-15T14:30:00Z",
"updated_at": "2024-01-15T14:30:00Z",
"credit_note_id": "123e4567-e89b-12d3-a456-426614174000",
"created_by_user_id": "123e4567-e89b-12d3-a456-426614174000",
"description": "Premium version of Product XYZ with extended warranty",
"name": "Product XYZ",
"quantity": 2,
"subtotal": 10000,
"tax": 20,
"tax_amount": 2000,
"total": 12000,
"unit": "pieces",
"unit_price": 5000
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The ID of the entity that owns the requested resource.
"9d2b4c8f-2087-4738-ba91-7359683c49a4"
Successful Response
Schema for credit note line item response. Includes all fields that can be returned from the API.
Unique identifier of the line item
"123e4567-e89b-12d3-a456-426614174000"
Timestamp when the line item was created
"2024-01-15T14:30:00Z"
Timestamp when the line item was last updated
"2024-01-15T14:30:00Z"
ID of the parent credit note
"123e4567-e89b-12d3-a456-426614174000"
ID of the user who created the line item
"123e4567-e89b-12d3-a456-426614174000"
Detailed description of the line item
"Premium version of Product XYZ with extended warranty"
Name or title of the line item
"Product XYZ"
Quantity of items
x >= 02
Subtotal amount before tax
10000
Tax percentage
x >= 020
Tax amount
2000
Total amount including tax
12000
Unit of measurement
"pieces"
Price per unit in smallest currency unit
5000
Was this page helpful?